--- /dev/null	Thu Apr  2 18:49:48 2015
+++ new/usr/src/test/libc-tests/cfg/symbols/fcntl_h.cfg	Thu Apr  2 18:49:48 2015
@@ -0,0 +1,62 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2015 Garrett D'Amore <garrett@damore.org>
+#
+
+#
+# Definitions found in fcntl.h
+#
+
+#
+# Types.
+#
+type |	mode_t		| fcntl.h | ALL
+type |	off_t		| fcntl.h | ALL
+type |	pid_t		| fcntl.h | ALL
+type |	struct flock	| fcntl.h | ALL
+
+#
+# Values.
+#
+value | O_ACCMODE	| int	| fcntl.h | POSIX+ SUS+
+value | O_APPEND	| int	| fcntl.h | POSIX+ SUS+
+value | O_CLOEXEC	| int	| fcntl.h | POSIX+ SUS+
+value | O_CREAT		| int	| fcntl.h | POSIX+ SUS+
+value | O_DSYNC		| int	| fcntl.h | XPG3+ POSIX-1993+
+value | O_EXCL		| int	| fcntl.h | POSIX+ SUS+
+value | O_NDELAY	| int	| fcntl.h | -POSIX-1993+
+value | O_NOCTTY	| int	| fcntl.h | POSIX+ SUS+
+value | O_NONBLOCK	| int	| fcntl.h | POSIX+ SUS+
+value | O_RDONLY	| int	| fcntl.h | POSIX+ SUS+
+value | O_RDWR		| int	| fcntl.h | POSIX+ SUS+
+value | O_RSYNC		| int	| fcntl.h | XPG3+ POSIX-1993+
+value | O_SYNC		| int	| fcntl.h | XPG3+ POSIX-1993+
+value | O_WRONLY	| int	| fcntl.h | POSIX+ SUS+
+
+#
+# Functions
+#
+func |	creat								|\
+	int								|\
+	const char *; mode_t						|\
+	fcntl.h | ALL
+
+func |	open								|\
+	int								|\
+	const char *; mode_t						|\
+	fcntl.h | ALL
+
+func |	fcntl								|\
+	int								|\
+	int; int							|\
+	fcntl.h | ALL
